%define upstream_name    CHI
%define upstream_version 0.60

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Nothing is cached
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Assert) >= 0.200.0
BuildRequires: perl(Data::UUID)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(Digest::JHash)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(Hash::MoreUtils)
BuildRequires: perl(JSON)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(List::MoreUtils) >= 0.130.0
BuildRequires: perl(Log::Any) >= 0.80.0
BuildRequires: perl(Moo)
BuildRequires: perl(Moose) >= 0.660.0
BuildRequires: perl(MooX::Types::MooseLike::Base)
BuildRequires: perl(MooX::Types::MooseLike::Numeric)
BuildRequires: perl(Storable)
BuildRequires: perl(String::RewritePrefix)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Class)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Time::Duration) >= 1.60.0
BuildRequires: perl(Time::Duration::Parse) >= 0.30.0
BuildRequires: perl(Time::HiRes) >= 1.300.0
BuildRequires: perl(Try::Tiny) >= 0.50.0
BuildArch:  noarch

%{?perl_filter_default}

%{?filter_setup:
# Replace unversioned dependencies with versioned ones.
%filter_from_requires s/^perl(Carp::Assert)$/perl(Carp::Assert) >= 0.20/
%filter_from_requires s/^perl(List::MoreUtils)$/perl(List::MoreUtils) >= 0.13/
%filter_from_requires s/^perl(Log::Any)$/perl(Log::Any) >= 0.06/
%filter_from_requires s/^perl(Time::Duration)$/perl(Time::Duration) >= 1.06/
%filter_from_requires s/^perl(Time::Duration::Parse)$/perl(Time::Duration::Parse) >= 0.03/
%filter_setup
}

%global __provides_exclude %{?__provides_exclude:__provides_exclude|}^perl\\(Bar\\)
%global __provides_exclude %__provides_exclude|^perl\\(DummySerializer\\)
%global __provides_exclude %__provides_exclude|^perl\\(Foo\\)

%description
CHI provides a unified caching API, designed to assist a developer in
persisting data for a specified period of time.

The CHI interface is implemented by driver classes that support fetching,
storing and clearing of data. Driver classes exist or will exist for the
gamut of storage backends available to Perl, such as memory, plain files,
memory mapped files, memcached, and DBI.

CHI is intended as an evolution of DeWitt Clinton's Cache::Cache package,
adhering to the basic Cache API but adding new features and addressing
limitations in the Cache::Cache implementation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.600.0-5.mga8
+ Revision: 1493509
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.600.0-4.mga7
+ Revision: 1266137
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.600.0-3.mga6
+ Revision: 1023837
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.600.0-2.mga6
+ Revision: 966431
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 0.600.0-1.mga6
+ Revision: 844518
- update to 0.60

* Wed Oct 15 2014 umeabot <umeabot> 0.580.0-5.mga5
+ Revision: 744743
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.580.0-4.mga5
+ Revision: 733031
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.580.0-3.mga5
+ Revision: 683665
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.580.0-2.mga4
+ Revision: 530760
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 sander85 <sander85> 0.580.0-1.mga4
+ Revision: 459774
- update to 0.58

* Sun Jan 13 2013 umeabot <umeabot> 0.560.0-2.mga3
+ Revision: 363600
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.560.0-1.mga3
+ Revision: 314850
- update to 0.56

* Wed Jul 04 2012 jquelin <jquelin> 0.550.0-1.mga3
+ Revision: 267266
- update to 0.55

* Tue Jun 05 2012 jquelin <jquelin> 0.540.0-1.mga3
+ Revision: 254579
- update to 0.54

* Thu Dec 08 2011 kharec <kharec> 0.500.0-1.mga2
+ Revision: 179086
- update to 0.50

* Mon Jun 27 2011 jquelin <jquelin> 0.490.0-1.mga2
+ Revision: 114488
- update to 0.49

* Fri Jun 17 2011 jquelin <jquelin> 0.480.0-1.mga2
+ Revision: 109127
- update to 0.48

* Wed Jun 15 2011 jquelin <jquelin> 0.470.0-1.mga2
+ Revision: 106485
- update to 0.47

* Tue Apr 19 2011 jquelin <jquelin> 0.450.0-1.mga1
+ Revision: 88493
- update to 0.45

* Fri Mar 18 2011 jquelin <jquelin> 0.440.0-1.mga1
+ Revision: 74121
- update to 0.44

* Wed Mar 09 2011 jquelin <jquelin> 0.420.0-1.mga1
+ Revision: 67066
- update to 0.42

* Wed Mar 02 2011 jquelin <jquelin> 0.400.0-1.mga1
+ Revision: 62644
- update to 0.40

* Wed Feb 16 2011 jquelin <jquelin> 0.390.0-1.mga1
+ Revision: 52472
- update to 0.39

* Wed Jan 26 2011 jquelin <jquelin> 0.360.0-3.mga1
+ Revision: 40241
- mageia rebuild
- imported package perl-CHI


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.360.0-3mdv2011.0
+ Revision: 625064
- Trying to fix the deps
- Add a missing build requires
- import perl-CHI

